Is it safe to run historical of 0.10.1 in 0.9 cluster?

We currently have a Druid cluster of version 0.9. As we want to add new historicals I wonder, is it safe to add new historicals of version 0.10.1, but leave other nodes on 0.9 version?

Nikita

It should be possible to run a hetereogeneous cluster with new historical nodes on a newer version. However, before running that make sure you go through the release notes for upgrade guidelines and any incompatible changes that went between your 0.9.x release and 0.10.1 - https://github.com/druid-io/druid/releases